###############################################################################
# Copyright (c) 2011,2012 IBM Corporation.
#
#  All rights reserved. This program and the accompanying materials
#  are made available under the terms of the Eclipse Public License v1.0
#  and Eclipse Distribution License v. 1.0 which accompanies this distribution.
#  
#  The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
#  and the Eclipse Distribution License is available at
#  http://www.eclipse.org/org/documents/edl-v10.php.
#  
#  Contributors:
#  
#     IBM Corporation - initial API and implementation
###############################################################################
bugzilla_uri=https://landfill.bugzilla.org/bugzilla-4.4-branch/
admin=mbin@i.ua
bugzillaUsername=mbin@i.ua
bugzillaPassword=pp78uMTPf5ej

# Added in Lab 1.2
admin_password=passw0rd
adapter_host=localhost

# This is used when all Base resources will be rebuilt. 
# If the request to get TRS is after "rebuild_interval"
# milliseconds than the previous call, all Base Resources
# will be rebuilt. If this is -1, TRS won't rebuild Base
# resources.
rebuild_interval=-1

# The following values are the max number of some Bugzilla artifacts TRS Provider will access.
#   max_number_of_producs : The max number of Products TRS Provider will access.
#   max_number_of_bugs : The max number of Bugs TRS provider will access to generate their Change Logs.
# The default values are the recommendation for Bugzilla which is installed on your own PC.
# If you will use the hosted Bugzilla installation on landfill.bugzilla.org. the recommended values are
# the following
#   max_number_of_producs=1
#   max_number_of_bugs=3
#max_number_of_products=5
#max_number_of_bugs=100
max_number_of_products=5
max_number_of_bugs=100

# The following values are used to specify a date. TRS Provider will access Bugs which were modified
# after this specified date. The time zone of this date is same as your PC setting.
start_date_year=2016
start_date_month=10
start_date_day=20

# The following flag is used to enable the "URL" field value as a link to Change Request, for example, RTC's
# workitem, to be indexed as a link to ChangeManagement's Change Request.
# The original code supports the "See Also" field value as a link to another Bugzilla Bug to be indexed,
# but this field accepts only links to Bugzilla Bugs.
# If this value is set to "true", the value in "URL" field will be indexed as a link to ChangeManagement's 
# Change Request.
# If this value is set to "false", the value in "URL" field won't be indexed.
#
# This option is useful when TRS adapter and RTC are integrated. When "Related Change Request" link is
# going to be created from RTC workitem to Bugzilla bug, the back link to RTC workitem will be automatically
# inserted in "URL" field. Also they are indexed so that TRS consumer, such as Rational Engineering Lifecycle
# Manager can use it.
enable_url_as_cr=false

#StoreUpdates
storeEnabled=true
runSparql=true
# keep tdbDataDir commented out in order to use the triplestore
#tdbDataDir=C:/temp/TriplestoreData/demo
sparqlQueryEndpoint=http://fuseki.aide.md.kth.se/bugzilla-store/query
sparqlUpdateEndpoint=http://fuseki.aide.md.kth.se/bugzilla-store/update
storeUpdateFrequency=60
#If we are to restart the server, and the cache already has resources cached that we need not update.
#Set mostRecentCacheManagerUpdate to the timestamp at which the latest Cache-update was performed.
#If cache was never set, set the date to a very early date.
latestStoreUpdate = 2016-10-31T6:00:00Z
